Package: org.gmetrics.util

## [Groovy] Class ImportUtil

- org.gmetrics.util.ImportUtil

- Contains static utility methods and constants related to Import statements.

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `packageNameForImport(org.codehaus.groovy.ast.ImportNode importNode)` Return the package name for the specified import statement or else an empty String

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static String packageNameForImport(org.codehaus.groovy.ast.ImportNode importNode)

      Return the package name for the specified import statement or else an empty String

      Parameters:
        `importNode` - - the ImportNode for the import
      Returns:
        the name package being imported (i.e., the import minus the class name/spec) or an empty String if the import contains no package component